## meep 1.23.0

=== debian/changelog ===
meep (1.23.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jul 2022 23:03:25 +0200

meep (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump soname from 27 to 28

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Jul 2022 18:34:02 +0000

meep (1.22.0-2) unstable; urgency=medium

  * fix build on i386

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Mar 2022 18:21:49 +0100

meep (1.22.0-1) unstable; urgency=medium

  * New upstream release, upload to unstable
  * debian/control: bump standard to 4.6.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 23 Feb 2022 18:21:49 +0000

meep (1.19.0-1) experimental; urgency=medium

  * New upstream release
  * soname bump of libmeep23 to libmeep24
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Jul 2021 19:34:45 +0200

=== debian/control ===
Source: meep
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran
	, debhelper-compat (= 13)
	, quilt
	, libctl-dev (>= 4.5.0-8)
	, pkg-config
	, libharminv-dev (>= 1.4.1)
	, zlib1g-dev
	, libfftw3-dev
	, libgsl-dev
	, liblapack-dev
	, chrpath
	, libblas-dev
	, libhdf5-dev
	, swig
	, mpb-dev (>= 1.11.1-2) , mpb
	, python3-dev
	, python3-numpy
	, python3-h5py
	, python3-scipy
	, python3-matplotlib
	, libgdsii-dev
Standards-Version: 4.6.0
Homepage: https://meep.readthedocs.io
Vcs-Browser: https://salsa.debian.org/alteholz/meep
Vcs-Git: https://salsa.debian.org/alteholz/meep.git

Package: meep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: meep-mpi-default
	, meep-mpich2
	, meep-openmpi
Recommends: h5utils
Description: software package for FDTD simulation
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the software.

Package: libmeep28
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmeep-openmpi6
        , libmeep-openmpi7
        , libmeep-openmpi8
        , libmeep-openmpi12
        , libmeep-openmpi16
        , libmeep-openmpi17
        , libmeep-openmpi22
        , libmeep-openmpi23
        , libmeep-openmpi24
        , libmeep-openmpi27
        , libmeep-openmpi28
        , libmeep-lam4-6
        , libmeep-lam4-7
        , libmeep-lam4-8
        , libmeep-lam4-12
        , libmeep-lam4-16
        , libmeep-lam4-17
        , libmeep-lam4-22
        , libmeep-lam4-23
        , libmeep-lam4-24
        , libmeep-mpi-default6
        , libmeep-mpi-default7
        , libmeep-mpi-default8
        , libmeep-mpi-default12
        , libmeep-mpi-default16
        , libmeep-mpi-default17
        , libmeep-mpi-default22
        , libmeep-mpi-default23
        , libmeep-mpi-default24
        , libmeep-mpi-default27
        , libmeep-mpi-default28
        , libmeep-mpich2-6
        , libmeep-mpich2-7
        , libmeep-mpich2-8
        , libmeep-mpich2-12
        , libmeep-mpich2-16
        , libmeep-mpich2-17
        , libmeep-mpich2-22
        , libmeep-mpich2-23
        , libmeep-mpich2-24
        , libmeep6
        , libmeep7
        , libmeep8
        , libmeep10
        , libmeep12
        , libmeep16
        , libmeep17
        , libmeep22
        , libmeep23
        , libmeep24
        , libmeep27
Description: library for using meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the library.

Package: libmeep-dev
Section: libdevel
Architecture: any
Depends: libmeep28 (= ${binary:Version}), ${misc:Depends}
Conflicts: libmeep-mpi-dev
Description: development library for using meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains some files for developing software.

Package: python3-meep
Section: python
Architecture: any
Depends: libmeep28 (= ${binary:Version})
	, ${misc:Depends}
	, ${shlibs:Depends}
	, python3-numpy
	, python3
Description: software package for FDTD simulation with Python
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the Python binding

## meep 1.25.0

=== debian/changelog ===
meep (1.25.0-4build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:47:17 +0200

meep (1.25.0-4) unstable; urgency=medium

  * debian/control: add dependency python3-matplotlib
                    (Closes: #1076280)
  * add debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Jul 2024 10:49:17 +0200

meep (1.25.0-3) unstable; urgency=medium

  * debian/control: add python3-setuptools as dependency
  * debian/control: add Rules-Requires-Root: no
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: add Testsuite: autopkgtest-pkg-python
                    (maybe Closes: #1035179)
  * debian/rules: activate tests again
  * add patch python-distutils.patch
    (Closes: #1074728)
    (Closes: #1068643)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Jul 2024 22:49:17 +0200

meep (1.25.0-2) unstable; urgency=medium

  * debian/control: also add Conflicts: for python3 packages
                    (Closes: #1034988)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 May 2023 22:49:17 +0200

meep (1.25.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: update github watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Dec 2022 00:04:02 +0100

meep (1.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Sep 2022 01:03:36 +0200

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,14 @@
 	, python3-h5py
 	, python3-scipy
 	, python3-matplotlib
+	, python3-setuptools
 	, libgdsii-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
 Vcs-Git: https://salsa.debian.org/alteholz/meep.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: meep
 Architecture: any
@@ -66,7 +69,7 @@
  .
  This package contains the software.
 
-Package: libmeep28
+Package: libmeep30
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -82,6 +85,8 @@
         , libmeep-openmpi24
         , libmeep-openmpi27
         , libmeep-openmpi28
+        , libmeep-openmpi29
+        , libmeep-openmpi30
         , libmeep-lam4-6
         , libmeep-lam4-7
         , libmeep-lam4-8
@@ -102,6 +107,8 @@
         , libmeep-mpi-default24
         , libmeep-mpi-default27
         , libmeep-mpi-default28
+        , libmeep-mpi-default29
+        , libmeep-mpi-default30
         , libmeep-mpich2-6
         , libmeep-mpich2-7
         , libmeep-mpich2-8
@@ -122,6 +129,8 @@
         , libmeep23
         , libmeep24
         , libmeep27
+        , libmeep28
+        , libmeep29
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -156,7 +165,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep28 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep30 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -192,11 +201,13 @@
 Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep28 (= ${binary:Version})
+Depends: libmeep30 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
 	, python3-numpy
+	, python3-matplotlib
 	, python3
+Conflicts: python3-meep-openmpi, python3-meep-mpi-default
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--enable-maintainer-mode

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	# the latest patch is only needed on architectures without SSE or other special stuff
	if [ "${arch}" = "i386" ] || \
	   [ "${arch}" = "hurd-i386" ] ; then \
	  echo "all patches needed, do nothing here";  \
	else \
	  echo "we don't need the last patch";  \
	  quilt pop; \
	fi
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo ${arch}
	if [ "${arch}" = "armel" ] || \
	   [ "${arch}" = "riscv64" ] || \
	   [ "${arch}" = "hurd-i386" ] ; then \
	  echo "Do not make tests on this architecture" ;\
	else \
	  echo "Do make tests on this architecture" ;\
	  make check; \
	  find; \
	  cat python/test-suite.log; \
	fi
	## check whether testsuite runs everywhere
	#make check; \
	#cat python/test-suite.log
endif

override_dh_auto_install:
	dh_installchangelogs NEWS.md
	dh_auto_install
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/adjoint/*.pyc
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/adjoint/*.pyo
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.pyc
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.pyo
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.a
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.la
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyc
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyo
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.a
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.la
	$(RM) -f debian/tmp/usr/lib/*/libpympb.la
	$(RM) -f debian/tmp/usr/lib/*/libmeep.la
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/mpb/__pycache__/

## meep 1.29.0

=== doc/requirements.txt ===
mkdocs==1.6.0
python-markdown-math
mkdocs-material

=== python/requirements.txt ===
autograd
h5py
jax
jaxlib
matplotlib
numpy
parameterized
pytest
scipy

=== debian/changelog ===
meep (1.29.0-2) unstable; urgency=medium

  * debian/control: add forgotten Conflict (Closes: #1100468)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Mar 2025 12:42:08 +0100

meep (1.29.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: add call to dh_numpy3 (Closes: #1094928)
  * debian/control: only build on 64 bit architectures
    (Closes: #1097134)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Mar 2025 13:42:08 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	, python3-matplotlib
 	, python3-setuptools
 	, libgdsii-dev
+	, architecture-is-64-bit
 Standards-Version: 4.7.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
@@ -69,7 +70,7 @@
  .
  This package contains the software.
 
-Package: libmeep30
+Package: libmeep33
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -87,6 +88,7 @@
         , libmeep-openmpi28
         , libmeep-openmpi29
         , libmeep-openmpi30
+        , libmeep-openmpi33
         , libmeep-lam4-6
         , libmeep-lam4-7
         , libmeep-lam4-8
@@ -109,6 +111,7 @@
         , libmeep-mpi-default28
         , libmeep-mpi-default29
         , libmeep-mpi-default30
+        , libmeep-mpi-default33
         , libmeep-mpich2-6
         , libmeep-mpich2-7
         , libmeep-mpich2-8
@@ -131,6 +134,7 @@
         , libmeep27
         , libmeep28
         , libmeep29
+        , libmeep30
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -165,7 +169,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep30 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep33 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -201,7 +205,7 @@
 Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep30 (= ${binary:Version})
+Depends: libmeep33 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
 	, python3-numpy

=== debian/rules ===
--- 
+++ 
@@ -80,3 +80,7 @@
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/mpb/__pycache__/
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_numpy3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%meep-$1.tar.gz%" \
    https://github.com/stevengj/meep/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
